# Class: oArtLayer

## $. oArtLayer

$.oArtLayer represents art layers, as described by the artlayer toolbar. Access the drawing contents of the layers through this class.

#### new $.oArtLayer(index, oDrawingObject)

openHarmony/openHarmony_drawing.js, line 435
  The constructor for the $.oArtLayer class.

  Name | Type | Description
  --- | --- | ---
  `index` | int | The artLayerIndex (0: underlay, 1: line art, 2: color art, 3:overlay).
  `oDrawingObject` | $.oDrawing | The oDrawing this layer belongs to.

### Members

#### shapesArray.<$.oShape>

  The shapes contained on the drawing.

### Methods

#### clear()

openHarmony/openHarmony_drawing.js, line 462
  Removes the contents of the art layer.